Bug 994807 - Various text areas don't display in LibreOffice
Various text areas don't display in LibreOffice
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-07 23:35 EDT by Fred New
Modified: 2013-10-08 07:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-08 07:10:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2013-08-07 23:35:34 EDT
Description of problem:
Libreoffice windows do not show the following text areas correctly:
- Task bar menu text (File, Edit, View, Insert, etc., and their submenus)
- Calc row numbers
- Calc column letters
- The index area of the help window
- Description boxes like "Background color" in Calc
I can get the text to momentarily appear if I run the mouse over it, except for the last item above (because the description box disappears if I move the mouse).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Calc or Writer
2. If you see "File Edit ..." at the top of the window, run your mouse over them and they will disappear. If you can't see them, run your mouse over them and they will appear momentarily.

Actual results:
See 2. above.

Expected results:
I expect the text to stay visible at all times, like it does when I use the screenshot accessory.

Additional info:
Since this is probably related to my display adapter, lspci shows
01:00.0 VGA compatible controller: Matrox Electronics Systems Ltd. Millennium G550 (rev 01)

Content of .xsession-errors:
Obt-Message: Xinerama extension is not present on the server
** Message: applet now removed from the notification area
** Message: applet now embedded in the notification area

(process:1427): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed

I'm currently using LXDE.
Comment 1 Fred New 2013-08-07 23:39:57 EDT
This problem also appears in XFCE. Other applications like Firefox don't have this problem.
Comment 2 Fred New 2013-08-08 04:35:29 EDT
Also: Cell contents in Calc disappear if I press F2 to update them.
Comment 3 Caolan McNamara 2013-08-08 11:02:45 EDT
If you use GNOME3 is it reproducible there ? i.e. trying to figure out if its theme related in some way, or something more general. (Obviously this doesn't happen for me)
Comment 4 Fred New 2013-08-08 11:51:07 EDT
It displays correctly in Gnome3. (I didn't expect this.) I will also try to discover when it behaves badly.
Comment 5 Fred New 2013-08-08 12:04:38 EDT
With a totally new user (with a new home directory), Calc displays the text areas correctly in Gnome3 and not in XFCE or LXDE.
Comment 6 Caolan McNamara 2013-08-09 04:40:21 EDT
Interesting, I haven't a clue what might be behind that. I suppose the gtk theme is the same in all environments ? i.e. what does gconftool-2 --get /desktop/gnome/interface/gtk_theme say under xfce/lxde vs gnome3
Comment 7 Fred New 2013-08-10 23:20:37 EDT
Sorry, the theme is Clearlooks for all environments.
Comment 8 Fred New 2013-08-12 06:00:38 EDT
In case someone is curious, nothing has changed with libreoffice-calc-
Comment 9 Caolan McNamara 2013-10-08 07:10:59 EDT
I don't have the resources to expend on the non-default desktop environments unfortunately. You can try upstream of course.

Note You need to log in before you can comment on or make changes to this bug.